> ## Documentation Index
> Fetch the complete documentation index at: https://docs.deribit.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.deribit.com/feedback

```json
{
  "path": "/api-reference/account-management/private-set_disabled_trading_products",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# private/set_disabled_trading_products

> Configures which trading products (instruments, currencies, or instrument types) are disabled for a subaccount. Disabled products cannot be traded by the subaccount, providing a way to restrict trading activities.

This is useful for risk management and compliance purposes. Only the main account owner can modify trading product restrictions for subaccounts.

**[TFA required](https://docs.deribit.com/articles/security-keys)**

**Scope:** `account:read_write`

[Try in API console](https://test.deribit.com/api_console?method=%2Fprivate%2Fset_disabled_trading_products)





## OpenAPI

````yaml /specifications/deribit_openapi.json get /private/set_disabled_trading_products
openapi: 3.0.0
info:
  title: Deribit API
  version: 2.1.1
servers:
  - url: https://test.deribit.com/api/v2
security: []
tags:
  - name: WebSocket Only
    description: Can only be used over websockets.
  - name: Public
    description: Public methods can be used without authentication.
  - name: Private
    description: >-
      <p>Private methods require authentication. All requests must include a
      valid OAuth2 token.</p>

      <p>A token can be requested using the <a
      href="#public-auth">/public/auth</a> method.</p>

      <p>When using the websockets protocol, the token must be included as a
      parameter <code>access_token</code> in the message. When using REST (HTTP
      GET), the token may also be passed in the <code>Authorization</code>
      header.</p>
  - name: Authentication
  - name: Session Management
  - name: Subscription Management
    description: >-
      Subscription works as [notifications](#notifications), so users will
      automatically (after subscribing) receive messages from the server.
      Overview for each channel response format is described in
      [subscriptions](#subscriptions) section.
  - name: Account Management
  - name: Trading
  - name: Market Data
  - name: Wallet
  - name: Chat
paths:
  /private/set_disabled_trading_products:
    get:
      tags:
        - Account Management
        - Private
      description: >+
        Configures which trading products (instruments, currencies, or
        instrument types) are disabled for a subaccount. Disabled products
        cannot be traded by the subaccount, providing a way to restrict trading
        activities.


        This is useful for risk management and compliance purposes. Only the
        main account owner can modify trading product restrictions for
        subaccounts.


        **[TFA required](https://docs.deribit.com/articles/security-keys)**


        **Scope:** `account:read_write`


        [Try in API
        console](https://test.deribit.com/api_console?method=%2Fprivate%2Fset_disabled_trading_products)

      parameters:
        - name: user_id
          in: query
          schema:
            type: integer
            example: 1
          required: true
          description: Id of a (sub)account
        - name: trading_products
          in: query
          required: true
          schema:
            type: array
            items:
              type: string
              enum:
                - perpetual
                - futures
                - options
                - future_combos
                - option_combos
                - spots
          description: >
            List of available trading products. Available products: perpetual,
            futures, options, future_combos, option_combos, spots
          style: form
          explode: true
      responses:
        '200':
          $ref: '#/components/responses/OkResponse'
components:
  responses:
    OkResponse:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/OkResponse'
          examples:
            response:
              value:
                jsonrpc: '2.0'
                id: 1569
                result: ok
              description: Response example
      description: Success response
  schemas:
    OkResponse:
      properties:
        jsonrpc:
          type: string
          enum:
            - '2.0'
          description: The JSON-RPC version (2.0)
        id:
          type: integer
          description: The id that was sent in the request
        result:
          type: string
          enum:
            - ok
          description: Result of method execution. `ok` in case of success
      required:
        - jsonrpc
        - result
      type: object

````